import os
from box.sphinx import Settings

class Settings(Settings):
    
    #Documentation:
    #http://sphinx-doc.org/config.html
    
    #Build
        
    extensions = ['sphinx.ext.autodoc']
    master_doc = 'index'
    pygments_style = 'sphinx'
    autodoc_member_order = 'bysource'
    autodoc_default_flags = ['members', 'undoc-members', 'show-inheritance']

    #HTML
    
    @property
    def html_theme(self):
        if os.environ.get('READTHEDOCS', False):
            return 'default'
        return 'sphinx_rtd_theme'
            
    @property
    def html_theme_path(self):
        if os.environ.get('READTHEDOCS', False):
            return []
        import sphinx_rtd_theme
        return [sphinx_rtd_theme.get_html_theme_path()]                   